// pecco -- please enjoy classification with conjunctive features
//  $Id: pecco.cpp 449 2010-07-21 14:44:00Z ynaga $
// Copyright (c) 2008-2010 Naoki Yoshinaga <ynaga@tkl.iis.u-tokyo.ac.jp>
#include "typedef.h"
#include "llm.h"
#include "polyk.h"

using namespace pecco;

int main (int argc, char** argv) {

  if (argc <= 2) {
    ny::print_err ("Wrong # of arguments.\n"
                   "Usage: %s [llm|polyk] [options] (type -h for details)\n",
                    argv[0]);
  }
  
  std::string opt_str (argv[1]);
  
  for (int i = 2; i < argc; ++i) { opt_str += " "; opt_str += argv[i]; }

  if (strcmp (argv[1], "polyk") == 0) {
    
    PolyK* c = new PolyK (opt_str.c_str ());
    c->load  ();
    c->batch ();
    
  } else if (strcmp (argv[1], "llm") == 0) {
    
    LLM* c = new LLM (opt_str.c_str ());
    c->load  ();
    c->batch ();
    
  } else {
    ny::print_err ("Unknown model: %s\n"
                   "Usage: %s [llm|polyk] options (type -h for details)",
                   argv[1], argv[0]);
  }
  
  return 0;
}
